Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.vfs
Class MultipartStream

    java.lang.Object
      |
      +--com.caucho.vfs.StreamImpl
            |
            +--com.caucho.vfs.MultipartStream

public class MultipartStream
extends StreamImpl

Fields inherited from class com.caucho.vfs.StreamImpl
`nullPath, path`

Constructor Summary
`MultipartStream()`
`MultipartStream(ReadStream is, java.lang.String boundary)`

Method Summary
`boolean` | `canRead()` Returns true if this is a read stream.
`java.lang.Object` | `getAttribute(java.lang.String key)` Returns a read attribute from the multipart mime.
`java.util.Iterator` | `getAttributeNames()` Returns the headers from the mime.
`java.lang.String` | `getEncoding()` Returns the default encoding.
`void` | `init(ReadStream is, java.lang.String headerBoundary)` Initialize the multipart stream with a given boundary.
`ReadStream` | `openRead()` Opens the next part of the multipart/mime stream for reading.
`int` | `read(byte[] buffer, int offset, int length)` Reads from the multipart mime buffer.
`void` | `setEncoding(java.lang.String encoding)` Sets the default encoding.

Methods inherited from class com.caucho.vfs.StreamImpl
`canWrite, clearWrite, close, flush, getAvailable, getFlushOnNewline, getNewline, getPath, getReadPosition, hasSkip, removeAttribute, setAttribute, setPath, skip, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultipartStream

    public MultipartStream()
                    throws java.io.IOException

### MultipartStream

    public MultipartStream(ReadStream is,
                           java.lang.String boundary)
                    throws java.io.IOException

Method Detail

### getEncoding

    public java.lang.String getEncoding()

  Returns the default encoding.

### setEncoding

    public void setEncoding(java.lang.String encoding)

  Sets the default encoding.

### init

    public void init(ReadStream is,
                     java.lang.String headerBoundary)
              throws java.io.IOException

  Initialize the multipart stream with a given boundary. The boundary passed to `init` will have "--" prefixed.
  Parameters:
    `is` - the underlying stream
    `headerBoundary` - the multipart/mime boundary.

### openRead

    public ReadStream openRead()
                        throws java.io.IOException

  Opens the next part of the multipart/mime stream for reading. Returns null when the last section is read.

### getAttribute

    public java.lang.Object getAttribute(java.lang.String key)

  Returns a read attribute from the multipart mime.
  Overrides:
    `getAttribute` in class `StreamImpl`
  Following copied from class: `com.caucho.vfs.StreamImpl`
  Parameters:
    `name` - the attribute name.
  Returns:
    the attribute value.

### getAttributeNames

    public java.util.Iterator getAttributeNames()

  Returns the headers from the mime.
  Overrides:
    `getAttributeNames` in class `StreamImpl`

### canRead

    public boolean canRead()

  Description copied from class: `StreamImpl`
  Returns true if this is a read stream.
  Overrides:
    `canRead` in class `StreamImpl`

### read

    public int read(byte[] buffer,
                    int offset,
                    int length)
             throws java.io.IOException

  Reads from the multipart mime buffer.
  Overrides:
    `read` in class `StreamImpl`
  Following copied from class: `com.caucho.vfs.StreamImpl`
  Parameters:
    `buffer` - byte array receiving the data.
    `offset` - starting offset into the array.
    `length` - number of bytes to read.
  Returns:
    the number of bytes read or -1 on end of file.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD